org.eclipse.viatra.cep.core.metamodels.trace

## Interface Trace

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    TraceImpl

      public interface Trace
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Trace'.

  The following features are supported:

  - `Event Pattern`
  - `Automaton`
  See Also:
    `TracePackage.getTrace()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Automaton` | `getAutomaton()` Returns the value of the 'Automaton' reference.
    `EventPattern` | `getEventPattern()` Returns the value of the 'Event Pattern' reference.
    `void` | `setAutomaton(Automaton value)` Sets the value of the '`Automaton`' reference.
    `void` | `setEventPattern(EventPattern value)` Sets the value of the '`Event Pattern`' reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getEventPattern

          EventPattern getEventPattern()

      Returns the value of the 'Event Pattern' reference.

      If the meaning of the 'Event Pattern' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Event Pattern' reference.
      See Also:
        `setEventPattern(EventPattern)`, `TracePackage.getTrace_EventPattern()`
      Generated:
      Model:
        required="true"

    - #### setEventPattern

          void setEventPattern(EventPattern value)

      Sets the value of the '`Event Pattern`' reference.
      Parameters:
        `value` - the new value of the 'Event Pattern' reference.
      See Also:
        `getEventPattern()`
      Generated:

    - #### getAutomaton

          Automaton getAutomaton()

      Returns the value of the 'Automaton' reference.

      If the meaning of the 'Automaton' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Automaton' reference.
      See Also:
        `setAutomaton(Automaton)`, `TracePackage.getTrace_Automaton()`
      Generated:
      Model:
        required="true"

    - #### setAutomaton

          void setAutomaton(Automaton value)

      Sets the value of the '`Automaton`' reference.
      Parameters:
        `value` - the new value of the 'Automaton' reference.
      See Also:
        `getAutomaton()`
      Generated: